dots.v2.droplets.byDroplet_id().destroy_with_associated_resources.get()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.droplets.byDroplet_id(droplet_id).destroy_with_associated_resources.get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Destroy_with_associated_resourcesGetResponse>Description
To list the associated billable resources that can be destroyed along with a
Droplet, send a GET request to the
/v2/droplets/{droplet_id}/destroy_with_associated_resources endpoint.
This endpoint will only return resources that you are authorized to see. For
example, to see associated Reserved IPs, include the reserved_ip:read scope.
The response will be a JSON object containing snapshots, volumes, and
volume_snapshots keys. Each will be set to an array of objects containing
information about the associated resources.
Parameters
droplet_idinteger requiredExample:
3164444A unique identifier for a Droplet instance.
Request Sample
Response Example
More Information
See /v2/droplets/{droplet_id}/destroy_with_associated_resources in the API reference for additional detail on responses, headers, parameters, and more.